Package ru.bitel.common

# Class ParameterMap.DefaultParameterMap

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.ParameterMap
ru.bitel.common.ParameterMap.DefaultParameterMap

Direct Known Subclasses:
  `XMLUtils.XMLEventReaderParameterMap`, `XMLUtils.XMLStreamReaderParameterMap`

Enclosing class:
  `ParameterMap`

public static class ParameterMap.DefaultParameterMap extends ParameterMap
Примитивная/минимальная имплементация ParameterMap хранящая в Mapinvalid input: '<'String, String>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

  `ParameterMap.DefaultParameterMap`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,String>`
  `data`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultParameterMap(Map<String,String> data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Map.Entry<String,String>>`
  `entrySet()`
  `protected void`
  `extract(Map<String,String> data)`
  `String`
  `get(String key, String def)`

  ### Methods inherited from class ru.bitel.common.ParameterMap

  `addActionListener, filter, get, getBigDecimal, getBoolean, getChar, getDouble, getEnum, getFloat, getInt, getIntegerList, getLocalDate, getLong, getMap, inherit, sub, subIndexed, subKeyed, subLined, throwActionEvent, toReference, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### data

    protected Map<String,String> data

- ## Constructor Details

  - ### DefaultParameterMap

    public DefaultParameterMap(Map<String,String> data)

- ## Method Details

  - ### get

    public String get(String key, String def)
    Specified by:
      `get` in class `ParameterMap`

  - ### entrySet

    public Set<Map.Entry<String,String>> entrySet()
    Specified by:
      `entrySet` in class `ParameterMap`

  - ### extract

    protected void extract(Map<String,String> data)
    Overrides:
      `extract` in class `ParameterMap`